var mySwiper;
var versionNumber;
var swiper_heading = new Array("Getting Started", "MiniSampler", "Automation", "Instruments", "Effect Reference", "Tracks", "Mediabay", "Mixer");
var swiper_links = new Array("QU_Recording.html", "IN_MiniSampler.html", "IS_Automation.html", "IN_Microsonic.html", "EFFECTS.html", "TRACKS.html", "MEDIA.html", "MIXER.html");
var swiper_keys = new Array("new project", "minisampler", "automation", "instrument", "effects", "tracks", "mediabay", "mixer");

document.ontouchmove = function(e) {
	e.preventDefault()
};

window.onload = function() {
	mySwiper = new Swiper('.swiper-container',{
		//Your options here:
		mode:'horizontal',
		speed:300,
		slidesPerView:3,
		freeMode:false,
		//autoplay:200,
		freeModeFluid:false,
		watchActiveIndex:true,
		createPagination:true,
		loop: true,
			tdFlow: {
				rotate: 50,
				strech: 0,
				depth: 100,
				modifier: 1,
				shadows: true
			}
	});

	var wait = setTimeout(function(){
		mySwiper.swipeTo(1, 2000, true);
	}, 500);

	versionNumber = QueryString.version;

	if (typeof versionNumber === 'undefined') {
		document.getElementById("versionNumber").innerHTML = "";

	} else {
		document.getElementById("versionNumber").innerHTML = "Cubasis " + versionNumber;

		var links = document.getElementsByTagName("a");
		var length = links.length;

		for (var i = 0; i < length; i++) {
			if (links[i].id == "register" || links[i].id == "forumLink" || links[i].id == "youtubelink" || links[i].id == "facebook") {
				continue;
			}
			links[i].href = links[i].href + "?version=" + versionNumber;
		}
	}
}

/*----------------------------------------------------------------------
** handle return key event
**----------------------------------------------------------------------*/
/*function enter(event) {
	if (event.keyCode == 13) { //13 is enter
		document.getElementsByName("input")[0].blur();
		search();
		return false;
	}
	return true;
}*/
