var QueryString = function () {
	// This function is anonymous, is executed immediately and 
	// the return value is assigned to QueryString!
	var query_string = {};
	var query = window.location.search.substring(1);
	var vars = query.split("&");
	for (var i=0;i<vars.length;i++) {
		var pair = vars[i].split("=");
		// If first entry with this name
		if (typeof query_string[pair[0]] === "undefined") {
			query_string[pair[0]] = pair[1];
			// If second entry with this name
		} else if (typeof query_string[pair[0]] === "string") {
			var arr = [ query_string[pair[0]], pair[1] ];
			query_string[pair[0]] = arr;
			// If third or later entry with this name
		} else {
			query_string[pair[0]].push(pair[1]);
		}
	}
	return query_string;
} ();

function isFunctionKey(keyCode) {
console.log("Key Code: " + keyCode);

	return (keyCode == 9	//Tab
			|| keyCode == 12	//Num Pad
			|| keyCode == 16	//Shift
			|| keyCode == 17	//Ctrl
			|| keyCode == 18	//ALT
			|| keyCode == 19	//Pause
			|| keyCode == 27	//Escape
			|| keyCode == 33	//Bild Hoch
			|| keyCode == 34	//Bild Runter
			|| keyCode == 35	//Ende
			|| keyCode == 36	//Pos 1
			|| keyCode == 37	//Left
			|| keyCode == 38	//Up
			|| keyCode == 39	//Right
			|| keyCode == 40	//Down
			|| keyCode == 44	//Drucken
			|| keyCode == 45	//Einfgen
			|| keyCode == 46	//Entfernen
			|| keyCode == 145	//Rollen
			|| keyCode == 224);	//Command
}