var snippets = new Array();

//Accessories
snippets["accessories"] = new Array();
snippets["accessories"] ["keywords"]= new Array("accessories%0", "audio unit%0", "audio units%0", "auv3%0", "audiounit%0", "iaa%0", "interapp%0", "inter-app%0", "coreaudio%0", "apps%0", "audiobus%0", "connection%0", "core midi%0", "coremidi%0", "daw%0", "device%0", "hardware%0", "input%0", "interface%0", "midi%0", "midi thru%0", "midithru%0", "au%0", "network%0", "output%0", "port%0", "rout%0", "routing%0", "rptMidi%0", "thru%0", "wifi%0");
snippets["accessories"] ["image"]= "help_header_accessories.jpg";
snippets["accessories"] ["heading"]= "Accessories";
snippets["accessories"] ["text"]= "<ul><li>Find compatible hardware, apps, interfaces, routing options and other services.<li>Learn about <strong>Inter-App Audio</strong> and <strong>Audio Units</strong>.<li>Use <strong>Audiobus</strong> to route sound between Cubasis and other apps.<li>Use a local <strong>WiFi</strong> network to route <strong>MIDI<strong> between Cubasis and your computer.";
snippets["accessories"] ["id"] = "access";
snippets["accessories"] ["align"]= "bottom";
snippets["accessories"] ["link"]= "ACCESSORIES.html";

//Setup
snippets["setup"] = new Array();
snippets["setup"] ["keywords"]= new Array("audiobus%0", "audiobus panel position%0", "background audio%0", "bitrate%0", "clock%0", "compression%0", "flac%0", "keys%0", "keys%0", "low waveform%0", "metronome%0", "midi%0", "midiclock%0", "mixdown%0", "performance%0", "pitch%0", "playback%0", "preview%0", "record%0", "recording%0", "setting%0", "setup%0", "share%0", "synchronize%0", "touchable%0", "freeze%0", "unfreeze%0", "velocity%0", "voices%0", "volume%0", "waveform%0", "wheel%0", "reset%0", "settings%0", "iOS%0", "troubleshooting%0", "screen%0", "resolution%0", "compatibility%0");
snippets["setup"] ["image"]= "help_header_setup.jpg";
snippets["setup"] ["heading"]= "Setup";
snippets["setup"] ["text"]= "<ul><li>Configure values such as <strong>sample rate, bit depth, waveform quality</strong> etc. to optimize your device's performance.<li>Additionally, <strong>audio, mixdown, MIDI, keyboard</strong> and <strong>metronome</strong> options are available. <li>In the <strong>iOS Settings</strong> app, you can find an option launch Cubasis with an empty project in the rare case of startup issues.";
snippets["setup"] ["id"] = "setup";
snippets["setup"] ["align"]= "right";
snippets["setup"] ["link"]= "SETUP.html";

//Mixer
snippets["mixer"] = new Array();
snippets["mixer"] ["keywords"]= new Array("mixer%0", "channel%0", "channels%0", "fader%0", "pan%0", "panning%0", "volume%0", "master%0", "master inserts%0", "master effects%0", "master insert effects%0", "master channel%0", "master fx%0", "pan fader%0", "volume fader%0", "mute%0", "solo%0", "tracktracks%0");
snippets["mixer"] ["image"]= "help_header_mixer.jpg";
snippets["mixer"] ["heading"]= "Mixer";
snippets["mixer"] ["text"]= "<ul><li>Control each <strong>channel's</strong> properties, such as <strong>pan, volume, mute, solo, record enable</strong> and <strong>monitoring</strong>.<i>Assign and control <strong>effects</strong> using the <strong>e</strong> button.<li>Tap the <strong>output display</strong> to add up to 24 individual outputs (12 stereo pairs) to a track.<li>On the <strong>master channel</strong> a metronome output setting is available.";
snippets["mixer"] ["id"] = "mixer";
snippets["mixer"] ["align"]= "bottom";
snippets["mixer"] ["link"]= "MIXER.html";

//EffectRouting
snippets["effectrouting"] = new Array();
snippets["effectrouting"] ["keywords"]= new Array("effect%0", "signal%0", "rout%0", "send%0", "insert%0", "routing%0", "send effects%0", "send fx%0", "fx%10", "insert effects%0", "insert fx%0", "master%0");
snippets["effectrouting"] ["image"]= "help_header_fxrouting.jpg";
snippets["effectrouting"] ["heading"]= "Effect Routing";
snippets["effectrouting"] ["text"]= "<ul><li>You can assign up to 8 effects of both types (insert / send) to each track.<li>An <strong>insert effect</strong> only affects one track. A global <strong>send effect</strong> applies to all tracks, but you can adjust the send level for each track.";		
snippets["effectrouting"] ["id"] = "fx_rout";
snippets["effectrouting"] ["align"]= "right";
snippets["effectrouting"] ["link"]= "EFFECTS.html";

//EffectReference
snippets["effectreference"] = new Array();
snippets["effectreference"] ["keywords"]= new Array("amp sim%0", "attack%0", "brickwall%0", "brickwall limiter%0", "chorus%0", "clipping%0", "compress%0", "compressing%0", "compression%0", "compressor%0", "eq%1", "equalizer%0", "delay%0", "distort%0", "distorting%0", "distortion%0", "drive%0", "effect%0", "flanger%0", "fx%0", "insert%0", "insert effects%0", "insert fx%0", "limiter%0", "modulation%0", "overdrive%0", "ratio%0", "reference%0", "release%0", "reverb%0", "send%0", "amp%0", "send effects%0", "send fx%0", "studioeq%0", "shelfeq%0", "sweep%0", "sweeping%0", "threshold%0", "dj%0", "spin%0", "spinfx%0", "channel strip%0", "strip%0", "RoomWorks%0", "roomworks %0", "room works%0", "Room Works%0", "SE%0", "RoomWorks SE%0", "roomworks se%0", "registered%10", "registration%10", "mysteinberg%10", "hall%0", "tail%0", "trail%0", "digital reverb%0", "analog%10", "channelstrip%0", "masterstrip%0", "master%0");
snippets["effectreference"] ["image"]= "help_header_fxreference.jpg";
snippets["effectreference"] ["heading"]= "Effect Rack";
snippets["effectreference"] ["text"]= "<ul><li>Cubasis provides the following effects: <strong>Reverb, SpinFX, Channel Strip, Master Strip, Chorus, Flanger, Phaser, Limiter, Brickwall, Noise Gate, Amp Sim, Equalizer, ShelfEQ, StudioEQ, Delay, Filter, Compressor, Overdrive, PhaseInverter</strong> <br/><br/>and <br/><br/><strong>RoomWorks SE</strong> for users registered at MySteiberg.";
snippets["effectreference"] ["id"] = "fx_ref";
snippets["effectreference"] ["align"]= "bottom";
snippets["effectreference"] ["link"]= "EF_Rack.html";

//Adding Effects
snippets["addingeffects"] = new Array();
snippets["addingeffects"] ["keywords"]= new Array("amp sim%0", "attack%0", "brickwall%0", "brickwall limiter%0", "chorus%0", "clipping%0", "compress%0", "compressing%0", "compression%0", "compressor%0", "delay%0", "distort%0", "distorting%0", "distortion%0", "drive%0", "effect%0", "flanger%0", "fx%20", "insert%0", "insert effects%0", "insert fx%0", "limiter%0", "modulation%0", "overdrive%0", "reference%0", "release%0", "reverb%0", "send%0", "send effects%0", "send fx%0", "studioeq%0", "sweep%0", "sweeping%0", "threshold%0", "master%0", "master insert%0", "master fx%0", "master effects%0", "add%0", "adding%0", "channelstrip%0");
snippets["addingeffects"] ["image"]= "help_header_settingupfx.jpg";
snippets["addingeffects"] ["heading"]= "Adding And Adjusting Effects";
snippets["addingeffects"] ["text"]= "<ul><li>To <strong>add</strong> an <strong>effect</strong>, select the desired <strong>track</strong>, open the <strong>inspector</strong> and choose between <strong>insert</strong> and <strong>send effects</strong>.<li>Tap an empty <strong>effect slot</strong> and select an effect.";		
snippets["addingeffects"] ["id"] = "fx_add";
snippets["addingeffects"] ["align"]= "bottom";
snippets["addingeffects"] ["link"]= "EF_task.html";

//Sample Editor
snippets["ed_sample"] = new Array();
snippets["ed_sample"] ["keywords"]= new Array("editor%0", "event%0", "ruler%0", "region%0", "waveform%0", "normalizing%0", "normalize%0", "reverse%0", "trim%0", "sample editor%0", "tools%0", "fade%0", "fading%0", "reversing%0", "erase%0", "erasing%0", "trimming%0", "savesaving%0", "save audio%0", "audio%0", "sample%0", "sampling%0");
snippets["ed_sample"] ["image"]= "help_header_sampleeditor.jpg";
snippets["ed_sample"] ["heading"]= "Sample Editor";
snippets["ed_sample"] ["text"]= "<ul><li>The <strong>miniature panel</strong> shows your current location within the <strong>audio event</strong>.<li>The <strong>ruler</strong> holds the <strong>playhead</strong> and the two <strong>locators</strong>, which mark your current <strong>selection</strong>.<li><strong>Tools:</strong> You can <strong>select, trim, erase, reverse, normalize and fade</strong> audio material. To <strong>split</strong> audio events, use the <strong>split tool</strong> from the <strong>tools</strong> menu in the <strong>project view</strong>.<li>To <strong>rename</strong> the audio event, tap its name in the top left corner of the editor.";		
snippets["ed_sample"] ["id"] = "ed_sample";
snippets["ed_sample"] ["align"]= "bottom";
snippets["ed_sample"] ["link"]= "ED_Audio.html";

//Key Editor
snippets["ed_key"] = new Array();
snippets["ed_key"] ["keywords"]= new Array("editor%0", "event%0", "notes%0", "key%0", "key editor%0", "velocity%0", "midi%0", "pianoroll%0", "draw%0", "draw notes%0", "editing%0", "edit%0", "edit midi%0", "transpose%0", "split%0", "split notes%0", "ruler%0", "quantize%0", "snap%0");
snippets["ed_key"] ["image"]= "help_header_keyeditor.jpg";
snippets["ed_key"] ["heading"]= "Key Editor";
snippets["ed_key"] ["text"]= "<ul><li>Draw and edit <strong>MIDI events</strong> and their <strong>velocity</strong> via the pianoroll key editor.<li>Tools: You can <strong>select, split, erase, draw, copy, paste, transpose, quantize</strong> and <strong>snap to grid</strong> events using the <strong>tools menu</strong> from the project view.	<li>To <strong>rename</strong> the MIDI event, tap its name in the top left corner of the editor.";		
snippets["ed_key"] ["id"] = "ed_key";
snippets["ed_key"] ["align"]= "right";
snippets["ed_key"] ["link"]= "ED_MIDI.html";

//Mediabay
snippets["media"] = new Array();
snippets["media"] ["keywords"]= new Array("media%0", "mediabay%0", "file%0", "files%0", "project%0", "computer%0", "import%0", "export%0", "share%0", "sharing%0", "itunes%0", "mixdown%0", "zip%0", "app%0", "instrument%0", "audio%0", "midi%0", "trash%0", "save%0", "library%0", "format%0", "supported formats%0", "transfer%0", "transfering%0", "load%0", "loading%0", "internet%0", "email%0", "dropbox%0", "google%0", "iCloud%0", "web%0", "device%0", "restore%0", "audiocopy%0", "audiopaste%0", "audioshare%0"");
snippets["media"] ["image"]= "help_header_mediabay.jpg";
snippets["media"] ["heading"]= "MediaBay";
snippets["media"] ["text"]= "<ul><li>To <strong>insert </strong> files, <strong>drag and drop</strong> them into the arranger.<li>Mixdown: Cubasis can export to the following formats: <strong>wav, m4a, flac</strong> and <strong>midi</strong>.<li><strong>Share</strong> files via <strong>Email, iCloud, Dropbox, AudioShare</strong> and to other apps.<li>To <strong>transfer</strong> files between your iOS device and your computer, <strong>AirDrop</strong> and <strong>iTunes File Sharing</strong> (via USB) are available.";		
snippets["media"] ["id"] = "media";
snippets["media"] ["align"]= "right";
snippets["media"] ["link"]= "MEDIA.html";

//Inspector
snippets["inspect"] = new Array();
snippets["inspect"] ["keywords"]= new Array("inspector%0", "track%0", "channel%0", "instrument%0", "midi%0", "thru%0", "midi thru%0", "panic %0", "midi panic button%0", "midi panic%0", "routing%0", "rout%0", "color%0", "connection%0", "midi connection%0", "gain%0", "mono%0", "solo%0", "panning%0", "level%0", "volume%0", "send level%0", "insert level%0", "muting%0", "soloing%0", "rename%0", "attack%0", "release%0", "ports%0", "network%0", "virtual midi%0", "pan fader%0", "volume fader%0", "record enable%0", "cpu%0", "polyphony%0", "notepad%0");
snippets["inspect"] ["image"]= "help_header_inspector.jpg";
snippets["inspect"] ["heading"]= "Inspector";
snippets["inspect"] ["text"]= "<ul><li>MIDI track <strong>routing</strong>: You can enable <strong>MIDI over WiFi</strong>, <strong>external keyboard input</strong> or <strong>Virtual MIDI</strong> to route signals via other apps. <strong>MIDI thru</strong> routes the MIDI input signal directly to the output.<li>Audio track <strong>routing</strong>: You can choose your preferred <strong>input</strong> mode and assign up to 24 individual outputs per track. <li>To <strong>add</strong> an <strong>effect</strong>, choose between <strong>insert</strong> and <strong>send effects</strong>, then tap an empty <strong>effect slot</strong> and select an effect.";		
snippets["inspect"] ["id"] = "inspect";
snippets["inspect"] ["align"]= "right";
snippets["inspect"] ["link"]= "INSPECTOR.html";

//Micrologue Mod / FX
snippets["modfx"] = new Array();
snippets["modfx"] ["keywords"]= new Array("lfo%0", "pitch%0", "modulation%0", "delay%0", "effect%0", "fx%15", "micrologue%0", "synthesizer%0", "feedback%0", "vibrato%0", "filter%0", "wet%0", "dry%0", "balance%0", "synthesizer%0", "synth%0", "chorus%0", "cutoff%0", "pwm%0", "rate%0", "vibr%0", "vibr depth%0", "micro%0", "vibr frequ%0", "parameter%0", "micrologue parameter%0");
snippets["modfx"] ["image"]= "help_header_modfx.jpg";
snippets["modfx"] ["heading"]= "Micrologue Parameters: Mod / FX";
snippets["modfx"] ["text"]= "<ul><li><strong>Micrologue controls:</strong> LFO, Modulation wheel, Chorus and Delay";		
snippets["modfx"] ["id"] = "modfx";
snippets["modfx"] ["align"]= "bottom";
snippets["modfx"] ["link"]= "IN_Modfx.html";

//Micrologue Filter / Amp
snippets["filteramp"] = new Array();
snippets["filteramp"] ["keywords"]= new Array("filter%0", "amp%10", "amplifier%0", "envelope%0", "velocity%0", "modulation%0", "resonance%0", "sustain%0", "adsr%0", "decay%0", "attack%0", "parameter%0", "micrologue parameters%0", "synthesizer%0", "synth%0", "cutoff%0", "key follow%0", "release%0", "micro%0");
snippets["filteramp"] ["image"]= "help_header_filteramp.jpg";
snippets["filteramp"] ["heading"]= "Micrologue Parameters: Filter / Amp";
snippets["filteramp"] ["text"]= "<ul><li><strong>Micrologue controls:</strong> Filter parameters and Amplifier";		
snippets["filteramp"] ["id"] = "filteramp";
snippets["filteramp"] ["align"]= "bottom";
snippets["filteramp"] ["link"]= "IN_Filteramp.html";

//Micrologue Voices / Osc
snippets["voicesosc"] = new Array();
snippets["voicesosc"] ["keywords"]= new Array("voices%0", "osc%0", "noise%0", "volume%0", "white noise%0", "polyphony%0", "glide%0", "modulation%0", "level%0", "coarse%0", "wave%0", "pitchbend%0");
snippets["voicesosc"] ["image"]= "help_header_voiceosc.jpg";
snippets["voicesosc"] ["heading"]= "Micrologue Parameters: Voices / Osc";
snippets["voicesosc"] ["text"]= "<ul><li><strong>Micrologue controls:</strong> Voice parameters, Main pitch, Osc1, Osc2 and Noise";		
snippets["voicesosc"] ["id"] = "voicesosc";
snippets["voicesosc"] ["align"]= "bottom";
snippets["voicesosc"] ["link"]= "IN_Voicesosc.html";

//Micrologue Arp / Step
snippets["microloguearp"] = new Array();
snippets["microloguearp"] ["keywords"]= new Array("arp%0", "arpeggiator%0", "step%0", "tempo%0", "sync%0", "gate%0", "scale%0", "hold%0");
snippets["microloguearp"] ["image"]= "help_header_micrologue.jpg";
snippets["microloguearp"] ["heading"]= "Micrologue Arp / Step"
snippets["microloguearp"] ["text"]= "<ul><li>Micrologue’s arpeggio section is available as in-app purchase";		
snippets["microloguearp"] ["id"] = "microloguearp";
snippets["microloguearp"] ["align"]= "bottom";
snippets["microloguearp"] ["link"]= "IN_MicrologueArp.html";

//Micrologue
snippets["micrologue"] = new Array();
snippets["micrologue"] ["keywords"]= new Array("micrologue%0", "synth%0", "synthesizer%0", "modulation%0", "lfo%0", "save preset%0", "preset%0", "osc%0", "oscillator%0", "arp%0", "arpeggiator%0", "steps%0");
snippets["micrologue"] ["image"]= "help_header_micrologue.jpg";
snippets["micrologue"] ["heading"]= "Micrologue";
snippets["micrologue"] ["text"]= "<ul><li>Micrologue is a virtual <strong>synthesizer</strong> for Cubasis with many fully customizable <strong>presets</strong>.";
snippets["micrologue"] ["id"] = "mque";
snippets["micrologue"] ["align"]= "bottom";
snippets["micrologue"] ["link"]= "IN_Micrologue.html";

//Microsonic
snippets["microsonic"] = new Array();
snippets["microsonic"] ["keywords"]= new Array("microsonic%0", "micro sonic%0", "instrument%0", "assign instrument%0", "add instrument%0", "piano%0");
snippets["microsonic"] ["image"]= "help_header_microsonic.jpg";
snippets["microsonic"] ["heading"]= "Micro Sonic";
snippets["microsonic"] ["text"]= "<ul><li>Micro Sonic is a virtual sampled instruments workstation for Cubasis. Change <strong>attack / release</strong> values by moving the <strong>A / R</strong> sliders. To select an instrument <strong>category</strong>, tap one of the bottom icons and listen to an instrument <strong>preview</strong> using the pads on either side.";
snippets["microsonic"] ["id"] = "msonic";
snippets["microsonic"] ["align"]= "bottom";
snippets["microsonic"] ["link"]= "IN_Microsonic.html";

//Keys
snippets["keys"] = new Array();
snippets["keys"] ["keywords"]= new Array("keys%0", "chord%0", "drum%0", "pads%0", "drum pads%0", "keyboard%0", "wheel%0", "pitch%0", "marker%0", "reprogram chords%0", "custom chords%0", "chord button%0", "reassign chords%0", "customize chords%0", "sustain%0", "sustain pedal%0", "edit chords%0", "edit pads%0", "reassign pads%0", "reprogram pads%0", "pitch wheel%0", "note repeat%0", "repeat%10", "arpeggiator%0");
snippets["keys"] ["image"]= "help_header_keys.jpg";
snippets["keys"] ["heading"]= "Keyboard and Pads";
snippets["keys"] ["text"]= "<ul><li>This virtual keyboard features customizable <strong>drum pads</strong>, pitch / mod wheels</strong>, a <strong>sustain pedal</strong>. <li>Program keys to play patterns with the <strong>note repeat</strong> button.";
snippets["keys"] ["id"] = "keys";
snippets["keys"] ["align"]= "bottom";
snippets["keys"] ["link"]= "KEYS.html";

//Tools
snippets["tools"] = new Array();
snippets["tools"] ["keywords"]= new Array("tools%0", "grid%0", "precount%0", "select%0", "split%0", "glue%0", "erase%0", "draw%0", "mute%0", "undo%0", "redo%0", "copy%0", "paste%0", "transpose%0", "quantize%0", "snap%0", "record%0", "recording%0", "rec mode%0", "pre-roll%0", "count in%0", "punch in%0", "punch out%0", "stretch%0", "time-stretch%0", "pitch%0", "shift%0", "pitch shift%0", "tempo match%0", "tempo%10", "dotted%0", "triplet%0");
snippets["tools"] ["image"]= "help_header_tools.jpg";
snippets["tools"] ["heading"]= "Tools";
snippets["tools"] ["text"]= "<ul><li><strong>Select, split, glue, erase, draw, mute, copy, paste, quantize</strong> or <strong>snap</strong> events. <li><strong>Transpose</strong>, <strong>pitch shift</strong> and <strong>time-stretch</strong> events.";
snippets["tools"] ["id"] = "tools";
snippets["tools"] ["align"]= "bottom";
snippets["tools"] ["link"]= "TR_Tools.html";

//Transport
snippets["transport"] = new Array();
snippets["transport"] ["keywords"]= new Array("transport%0", "playhead%0", "playback%0", "metronome%0", "forward%0", "locator%0", "cycle%0", "record%0", "recording%0", "loop%0", "looping%0", "cycling%0", "precount%0", "pause%0", "skip%0", "play%0", "stop%0", "time%0", "time display%0", "bar%0", "bar display%0");
snippets["transport"] ["image"]= "help_header_transport.jpg";
snippets["transport"] ["heading"]= "Transport";
snippets["transport"] ["text"]= "<ul><li>Control the <strong>playhead</strong> with <strong>play, stop, skip, cycle mode, record</strong> and the turn the <strong>metronome</strong> on / off.<li>Tap the <strong>transport display</strong> to toggle its display mode between <strong>bars</strong> and <strong>seconds</strong>. <li>Choose between various <strong>recording modes</strong>.";
snippets["transport"] ["id"] = "transport";
snippets["transport"] ["align"]= "bottom";
snippets["transport"] ["link"]= "TR_Transport.html";

//Tracks
snippets["tracks"] = new Array();
snippets["tracks"] ["keywords"]= new Array("tracks%0", "audio%0", "midi%0", "tempo%0", "event%0", "ruler%0", "locators%0", "playhead%0", "recording%0", "record%0", "mute%0", "solo%0", "follow playhead%0", "record enable%0", "freezing%0", "freeze%0", "freezing midi tracks%0", "add track%0", "cycle%0", "loop%0", "bpm%0", "navigation%0", "add%10", "remove%10", "duplicate%0", "copy%10", "duplicate track%0");
snippets["tracks"] ["image"]= "help_header_tracks.jpg";
snippets["tracks"] ["heading"]= "Tracks";
snippets["tracks"] ["text"]= "<ul><li><strong>MIDI tracks</strong> (a.k.a. <strong>instrument tracks</strong>) use <strong>notes</strong> while <strong>audio tracks</strong> hold waveform material (e.g. microphone recordings and other audio files).<li><strong>Events</strong> are blocks of content within tracks which you can <strong>edit</strong> by <strong>double-tapping</strong> them. <li>To <strong>loop</strong> playback between <strong>locators</strong>, activate the <strong>cycle</strong> button. Customize your project's <strong>tempo</strong> by tapping the <strong>BPM</strong> display. <li>Add, remove or duplicate entire tracks.";		
snippets["tracks"] ["id"] = "tracks";
snippets["tracks"] ["align"]= "right";
snippets["tracks"] ["link"]= "TRACKS.html";

//FAQ
snippets["faq"] = new Array();
snippets["faq"] ["keywords"]= new Array("faq%0", "midi%0", "midi track%0", "assign instruments%0", "assign%0", "audio%0", "audio track%0", "add tracks%0", "remove tracks%0", "add%0", "remove%0", "rename%0", "rename track%0", "mixer%0", "keyboard%0", "metronome%0", "tempo%0", "save button%0", "export project%0", "project%0", "import project%0", "import%0", "export%0", "file%0", "export file%0", "import file%0", "cpu%0", "cpu meter%0");
snippets["faq"] ["image"]= "help_header_faq.jpg";
snippets["faq"] ["heading"]= "Frequently Asked Questions";
snippets["faq"] ["text"]= "<ul><li>Questions and answers in the areas of <strong>tracks, recording, file handling, effects</strong> and <strong>troubleshooting</strong> can be found here.";		
snippets["faq"] ["id"] = "faq";
snippets["faq"] ["align"]= "right";
snippets["faq"] ["link"]= "FAQ.html";

//About
snippets["about"] = new Array();
snippets["about"] ["keywords"]= new Array("steinberg%0", "about%0", "copyright%0", "forum%0", "trademarks%0", "license%0", "troubleshooting%0");
snippets["about"] ["image"]= "help_header_about.jpg";
snippets["about"] ["heading"]= "About Cubasis";
snippets["about"] ["text"]= "<ul><li>About Cubasis, Steinberg, license, trademarks, forum, troubleshooting and copyright.";		
snippets["about"] ["id"] = "about";
snippets["about"] ["align"]= "right";
snippets["about"] ["link"]= "QU_About.html";

//Getting Started
snippets["start"] = new Array();
snippets["start"] ["keywords"]= new Array("record%0", "recording%0", "new project%0", "drum loop%0", "tempo%0", "adjust tempo%0", "load instrument%0", "load%0", "add%0", "add audio%0");
snippets["start"] ["image"]= "help_header_gettingstarted.jpg";
snippets["start"] ["heading"]= "Getting Started";
snippets["start"] ["text"]= "<ul><li>How to <strong>create</strong> a <strong>project</strong>, start <strong>recording, arrange, create</strong> and <strong>load</strong> material, <strong>save, produce</strong> and <strong>share</strong> your work.";		
snippets["start"] ["id"] = "start";
snippets["start"] ["align"]= "right";
snippets["start"] ["link"]= "QU_Recording.html";

//Automation
snippets["automation"] = new Array();
snippets["automation"] ["keywords"]= new Array("automation%0", "automate%0", "curve%0", "parameter%0", "sweep%0", "fade%0", "write%0", "live%0", "dynamic%0", "change%0");
snippets["automation"] ["image"]= "help_header_automation.jpg";
snippets["automation"] ["heading"]= "Automation";
snippets["automation"] ["text"]= "<ul><li>Learn about the <strong>Automation editor</strong>, <strong>MIDI</strong> automation and the list of automatable <strong>parameters</strong>";
snippets["automation"] ["id"] = "auto";
snippets["automation"] ["align"]= "right";
snippets["automation"] ["link"]= "IS_Automation.html";

//MiniSampler
snippets["minisampler"] = new Array();
snippets["minisampler"] ["keywords"]= new Array("sampler%0", "minisampler%0", "mini%0", "pitch%0", "pitching%0", "custom%0", "instrument%10", "synthesizer%10", "microsonic%30", "presets%20", "own%0", "keyboard%21");
snippets["minisampler"] ["image"]= "help_header_minisampler.jpg";
snippets["minisampler"] ["heading"]= "MiniSampler";
snippets["minisampler"] ["text"]= "<ul><li>The <strong>MiniSampler</strong> allows you to create your own instruments from custom samples.";		
snippets["minisampler"] ["id"] = "auto";
snippets["minisampler"] ["align"]= "right";
snippets["minisampler"] ["link"]= "IN_MiniSampler.html";

//Waves Plug-Ins
snippets["fxwaves"] = new Array();
snippets["fxwaves"] ["keywords"]= new Array("fx%13", "limiter%20", "eq%11", "q10%0", "ultramaximizer%00", "audiotrack%0", "mastering%0", "loudness%0", "non-linear%10", "fx%21", "l10%0", "idr%0", "peak%5", "dither%5", "equalizer%5", "compressor%5", "effect%22", "gate%5", "dynamics%5", "filter%5", "multiband%5", "signal%20", "resolution%20", "bit reduction%25", "bit depth%15", "waves%1", "l1%1", "shaping%3", "q factor%5", "band%10", "harmonic%10", "noise%10", "threshold%7", "parametric%10", "expander%10");
snippets["fxwaves"] ["image"]= "help_header_waves.jpg";
snippets["fxwaves"] ["heading"]= "Waves Plug-Ins";
snippets["fxwaves"] ["text"]= "<ul><li>Three Waves plug-in effects are available as in-app purchase: <strong>L1 Ultramaximizer, Q10 Paragraphic Equalizer </strong>and <strong>AudioTrack</strong>. </ul>";
snippets["fxwaves"] ["id"] = "fx_waves";
snippets["fxwaves"] ["align"]= "bottom";
snippets["fxwaves"] ["link"]= "EF_Waves.html";

//ClassicMachines
snippets["classicmachines"] = new Array();
snippets["classicmachines"] ["keywords"]= new Array("Classic Machines%0", "classic machines%0", "classic%0", "vintage%0", "six%0", "eight%0", "nine%0", "synthesizer%10", "analog%0", "samples%20", "pads%40", "beat%10");
snippets["classicmachines"] ["image"]= "help_header_classicmachines.jpg";
snippets["classicmachines"] ["heading"]= "Classic Machines";
snippets["classicmachines"] ["text"]= "<ul><li>Refill Cubasis with the sounds of the ten most wanted iconic drum machines."		
snippets["minisampler"] ["id"] = "auto";
snippets["minisampler"] ["align"]= "right";
snippets["minisampler"] ["link"]= "IN_ClassicMachines.html";

//FX Packs
snippets["fxpacks"] = new Array();
snippets["fxpacks"] ["keywords"]= new Array("fx%12", "tape delay%0", "stereo delay%0", "long delay%0", "delay%10", "stereo width%0", "width%0", "reverb%10", "non-linear%0", "early reflections%0", "reflections%0", "pan%10", "tremolo%0", "rotary%0", "rotor%0", "cabinet%0", "effect%10", "bit reduction%0", "fx%10", "insert%10", "insert effects%10", "insert fx%10", "bitcrusher%0", "modulation%10", "overdrive%10", "ratio%10", "lo fi%0", "release%10", "talkbox%0", "send%10", "send effects%10", "send fx%10", "vowel%0", "formant%0", "sweep%10", "sweeping%10", "threshold%10", "tempo%20", "wah pedal%0", "wah%0", "auto%20", "enhancer%0", "spectrum%10", "shaping%10");
snippets["fxpacks"] ["image"]= "help_header_fxpack.jpg";
snippets["fxpacks"] ["heading"]= "FX Packs";
snippets["fxpacks"] ["text"]= "<ul><li>The Cubasis FX Pack 1 provides the following effects: <strong>Tape Delay, Stereo Delay, Long Delay, Stereo Width, Non-Linear Reverb </strong>and <strong>Early Reflections</strong>. <li>FX Pack 2 includes <strong>Pan & Tremolo, Rotary Speaker, Bit Reduction, TalkBox, Wah Pedal</strong> and <strong>Enhancer.</strong>";
snippets["fxpacks"] ["id"] = "fx_packs";
snippets["fxpacks"] ["align"]= "bottom";
snippets["fxpacks"] ["link"]= "EF_Packs.html";

//MIDI Effects
snippets["midifx"] = new Array();
snippets["midifx"] ["keywords"]= new Array("fx%21", "arp%0", "arpeggiator%0", "sequencer%10", "step sequencer%0", "AU%20", "audio unit%40", "MIDI%2", "midi%1", "instrument%13", "plug-in%9",);
snippets["midifx"] ["image"]= "help_header_midifx.jpg";
snippets["midifx"] ["heading"]= "MIDI Effects";
snippets["midifx"] ["text"]= "<ul><li>Add MIDI effects to your instruments such as <strong>arpeggiators</strong>, <strong>step sequencers</strong> or other processors.";
snippets["midifx"] ["id"] = "fx_midi";
snippets["midifx"] ["align"]= "bottom";
snippets["midifx"] ["link"]= "EF_Midifx.html";
