#------------------------------------------------------------------------------------------------------------------------------------------------------------------------->
#----------------------- CUBASIS USER GUIDE SEARCH ------------------------------------------------------------------------------------------------------------->
#----------------------- v.3.5_1.7  - last modified: 27.09.2013 ----------------------------------------------------------------------------------------------------->
#----------------------- © 2013 STEINBERG MEDIA TECHNOLOGY GmbH ----------------------------------------------------------------------------------------->
#-------------------------------------------------------------------------------------------------------------------------------------------------------------------------->
# 
# run this file to catch multiple snippets !!!

data = ''	
tmp = ''
i = 0
length = 0

nSnippets = Hash.new

myfile = File.open('snippets.js', 'r')

myfile.each { |line| 
	if line =~ /(.*)\["keywords"\](.*)/
		keyword = /snippets\["(\S+)"\].*Array\((.*)\);/.match(line)[1]
		keys = /snippets\["(\S+)"\].*Array\((.*)\);/.match(line)[2]
		keys = keys.delete "%"
		keys = keys.delete "\""
		keys = keys.delete "0"
		keys = keys.delete "1"
		keys = keys.delete "2"
		keys = keys.delete "3"
		keys = keys.delete "4"
		keys = keys.delete "5"
		keys = keys.delete "6"
		keys = keys.delete "7"
		keys = keys.delete "8"
		keys = keys.delete "9"

		nSnippets[keyword] = keys.split(", ")
	end
}

puts nSnippets.inspect

myfile.close


myfile = File.open('snippets.js', 'r')

#Iterate through all snippets and add a %0 if not yet present
myfile.each { |line| 
	nSnippets.keys.each { |key|
		if line =~ /(\w+)\["#{key.downcase}"\] \["keywords"\](.*)/
			j = 0
			nSnippets[key].each { |keyword|
				tmp += '"' + keyword
				if ! (keyword =~ /%/)
					tmp += '%0"'
				end

				if j < nSnippets[key].length - 1 
					tmp += ', '
				end
				j += 1
			}
			i += 1
			line = line.gsub(/\(.*\)/, "(" + tmp + ")")
			tmp = ''
		end
	}
	data += line
}
myfile.close

File.open('snippets.js' ,'w') { |file| file.write(data)}

#___________________________________________________________________________________________

testedkeys = Array.new
multiples = Hash.new
weight = 0
bool = false
tag = ''
out= ''

#iterate through all snippets
nSnippets.keys.each { |snippet| #Alle Snippetnamen
	nSnippets[snippet].sort! #Alphabetische sortierung
	puts ''
	puts ''
	puts '--------------------------------------------------------------------------------------------------------------------------'
	puts 'Keywords for ' + snippet + ':'
	puts '--------------------------------------------------------------------------------------------------------------------------'
	puts ''
	out += "\n\n\n\n----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------\nKeywords for " + snippet + ":\n----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------\n\n"

	#iterate through all keywords
	nSnippets[snippet].each 	{ |keyword| #Alle Keywords des snippets
		print keyword +' - '
		out += keyword + ' - '
		
		#iterate through all keywords in all snippets to find multiples-----------------------------------------------------------------------------------------------
		nSnippets.keys.each { |snipp| #Alle Snippetnamen
			nSnippets[snipp].each { |key| #Alle Keywords dieses snippets
				tmp = 0
				#check if keyword has weight- if so assign it to tmp and cut keyword
				if key =~ /%/
					tmp = key[key.split('%')[1]] #weight
					key = key[key.split('%')[0]] #keyword
				end

				if keyword == key && !testedkeys.include?(key)
					if !multiples.has_key?(key)
						multiples[key] = Array.new
					end
					multiples[key].push(snipp + ' - ' + tmp.to_s)
				end
			}
		}
		testedkeys.push(keyword)
	}
}

puts''
puts''
puts''
puts''
puts 'keywords assigned to multiple snippets:'
puts '____________________________________________________________________________________'
puts''
puts''

out += "\n\n\n\n\n\n\n\n\n\n\nkeywords assigned to multiple snippets:" + "\n____________________________________________________________________________________\n\n\n\n"

multiples = multiples.sort_by {|x, y| x }

multiples.each {|keyword, snippet| 
	if snippet.length > 1
		puts keyword + ' ' + snippet.to_s
		puts ''
		out += keyword + ' ' + snippet.to_s + "\n\n"
	end
}

puts ''
puts ''
puts i.to_s + ' snippets have been created in snippets.js in current directory'	
puts ''
puts ''

File.open('keywords.txt' ,'w') { |file| file.write(out)}